OpenJPEG: tpix_manager.c File Reference

OpenJPEG 2.5.0

Macros | Functions
tpix_manager.c File Reference

Modification of jpip.c from 2KAN indexer. More...

`#include "opj_includes.h"`

## Macros
#define | MAX(a, b) ((a)>(b)?(a):(b))

## Functions
int | get_num_max_tile_parts (opj_codestream_info_t cstr_info)
int | opj_write_tpix (int coff, opj_codestream_info_t cstr_info, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_tpixfaix (int coff, int compno, opj_codestream_info_t cstr_info, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)

## Detailed Description

Modification of jpip.c from 2KAN indexer.

## Macro Definition Documentation

## ◆ MAX

#define MAX | ( |  | a,
|  |  | b
| ) |  | ((a)>(b)?(a):(b))

## Function Documentation

## ◆ get_num_max_tile_parts()

int get_num_max_tile_parts | ( | opj_codestream_info_t | cstr_info | ) |

References MAX, opj_tile_info::num_tps, opj_codestream_info::th, opj_codestream_info::tile, and opj_codestream_info::tw.

Referenced by opj_write_tpixfaix().

## ◆ opj_write_tpix()

int opj_write_tpix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_TPIX, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, and opj_write_tpixfaix().

Referenced by opj_write_cidx().

## ◆ opj_write_tpixfaix()

int opj_write_tpixfaix | ( | int | coff,
|  | int | compno,
|  | opj_codestream_info_t | cstr_info,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References get_num_max_tile_parts(), JPIP_FAIX, opj_tile_info::num_tps, opj_codestream_info::numdecompos, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_codestream_info::th, opj_codestream_info::tile, opj_tile_info::tp, opj_tp_info::tp_end_pos, opj_tp_info::tp_start_pos, and opj_codestream_info::tw.

Referenced by opj_write_tpix().